package cmd

import (
	"fmt"
	"os"

	"github.com/spf13/cobra"
)

var rootCmd = &cobra.Command{
	Use:   "ctlts",
	Short: "Ctyun Log CLI Tool",
	Long:  "A CLI tool to interact with Ctyun Log Service.",
	// PersistentPreRun: func(cmd *cobra.Command, args []string) {
	// 	//打开或创建error.log 文件
	// 	file, err := os.OpenFile("error.log", os.O_APPEND|os.O_CREATE|os.O_WRONLY, 0644)
	// 	if err != nil {
	// 		log.Fatalf("Failed to open error.log: %v", err)
	// 	}

	// 	// 将错误输出重定向到文件
	// 	log.SetOutput(file)
	// },
}

func Execute() {
	// 移除 completion 命令
	rootCmd.CompletionOptions.DisableDefaultCmd = true

	if err := rootCmd.Execute(); err != nil {
		fmt.Println(err)
		os.Exit(1)
	}
}
